aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2021-06-07 16:22:49 +0200
committerToni Uhlig <matzeton@googlemail.com>2021-06-07 16:22:49 +0200
commit5954e46340c4851d40aecece4622f5082398ad66 (patch)
tree50f70792526ab0b3836c7358aafbcc26e660ac52 /scripts
parent54e0601fec5330aa93810c7212dde233c4354379 (diff)
Build system cleanup / cosmetics.1.4
* libnDPI submodule update Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/daemon.sh42
-rwxr-xr-xscripts/get-and-build-libndpi.sh23
2 files changed, 65 insertions, 0 deletions
diff --git a/scripts/daemon.sh b/scripts/daemon.sh
new file mode 100755
index 000000000..86e4d5aea
--- /dev/null
+++ b/scripts/daemon.sh
@@ -0,0 +1,42 @@
+#!/usr/bin/env sh
+#
+# Simple nDPId/nDPIsrvd start/stop script for testing purposes.
+#
+
+NUSER="nobody"
+NSUFFIX="${NSUFFIX:-daemon-test}"
+
+if [ x"${1}" = x -o x"${2}" = x ]; then
+ printf '%s\n' "usage: ${0} [nDPId-path] [nDPIsrvd-path]" >&2
+ printf '\n\t%s=%s\n' 'env NUSER' "${NUSER}" >&2
+ printf '\t%s=%s\n' 'env NSUFFIX' "${NSUFFIX}" >&2
+ exit 1
+fi
+
+if [ -r "/tmp/nDPId-${NSUFFIX}.pid" -o -r "/tmp/nDPIsrvd-${NSUFFIX}.pid" ]; then
+ nDPId_PID="$(cat "/tmp/nDPId-${NSUFFIX}.pid" 2>/dev/null)"
+ nDPIsrvd_PID="$(cat "/tmp/nDPIsrvd-${NSUFFIX}.pid" 2>/dev/null)"
+
+ if [ x"${nDPId_PID}" != x ]; then
+ sudo kill "${nDPId_PID}"
+ else
+ printf '%s\n' "${1} not started .." >&2
+ fi
+
+ if [ x"${nDPIsrvd_PID}" != x ]; then
+ kill "${nDPIsrvd_PID}"
+ else
+ printf '%s\n' "${2} not started .." >&2
+ fi
+
+ printf '%s\n' "daemons stopped" >&2
+else
+ set -x
+ ${2} -p "/tmp/nDPIsrvd-${NSUFFIX}.pid" -c "/tmp/nDPIsrvd-${NSUFFIX}-collector.sock" -s "/tmp/nDPIsrvd-${NSUFFIX}-distributor.sock" -d
+ sudo chgrp "$(id -n -g "${NUSER}")" "/tmp/nDPIsrvd-${NSUFFIX}-collector.sock"
+ sudo chmod g+w "/tmp/nDPIsrvd-${NSUFFIX}-collector.sock"
+ sudo ${1} -p "/tmp/nDPId-${NSUFFIX}.pid" -c "/tmp/nDPIsrvd-${NSUFFIX}-collector.sock" -d -u "${NUSER}"
+ set +x
+ printf '%s\n' "daemons started" >&2
+ printf '%s\n' "You may now run examples e.g.: $(realpath --relative-to="$(pwd)" $(dirname "${0}")/../examples/py-flow-info/flow-info.py) --unix /tmp/nDPIsrvd-${NSUFFIX}-distributor.sock"
+fi
diff --git a/scripts/get-and-build-libndpi.sh b/scripts/get-and-build-libndpi.sh
new file mode 100755
index 000000000..df0ab2b2c
--- /dev/null
+++ b/scripts/get-and-build-libndpi.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+
+LOCKFILE="$(realpath "${0}").lock"
+touch "${LOCKFILE}"
+exec 42< "${LOCKFILE}"
+flock -x -n 42 || {
+ printf '%s\n' "Could not aquire file lock for ${0}. Already running instance?" >&2;
+ exit 1;
+}
+
+cd "$(dirname "${0}")/.."
+git submodule update --init ./libnDPI
+
+cd ./libnDPI
+DEST_INSTALL="${DEST_INSTALL:-$(realpath ./install)}"
+MAKE_PROGRAM="${MAKE_PROGRAM:-make -j4}"
+./autogen.sh --prefix="${DEST_INSTALL}" --with-only-libndpi
+${MAKE_PROGRAM} install
+
+rm -f "${LOCKFILE}"